- NAME
- DESCRIPTION
- VARIABLES
- METHODS
  - new

# NAME

RT::Interface::Web::Scrubber::Restrictive

# DESCRIPTION

This is a subclass of RT::Interface::Web::Scrubber. It's stricter than RT::Interface::Web::Scrubber with the following additional restrictions:

Links

  External domains not defined in "RestrictLinkDomains" in RT_Config will be removed.

# VARIABLES

These variables can be altered by creating a `Restrictive_Local.pm` file, containing something of the form:

        package RT::Interface::Web::Scrubber::Restrictive;

        # Deny the "alt" attribute of images
        $RULES{'img'} = { alt => 0 };

`%RULES`

  Passed to "rules" in HTML::Scrubber.

# METHODS

## new

Returns a new RT::Interface::Web::Scrubber::Restrictive object.

← Back to index